libzypp 17.37.10

zypp::misc::testcase::TestcaseTrial Struct Reference

`#include <zypp/misc/LoadTestcase.h>`

## Classes
struct | Impl
struct | Node

## Public Member Functions
| TestcaseTrial ()
| ~TestcaseTrial ()
const std::vector< Node > & | nodes () const
std::vector< Node > & | nodes ()

## Private Attributes
RWCOW_pointer< Impl > | _pimpl

## Detailed Description

Definition at line 27 of file LoadTestcase.h.

## Constructor & Destructor Documentation

## ◆ TestcaseTrial()

zypp::misc::testcase::TestcaseTrial::TestcaseTrial | ( |  | ) |

Definition at line 48 of file LoadTestcase.cc.

## ◆ ~TestcaseTrial()

zypp::misc::testcase::TestcaseTrial::~TestcaseTrial | ( |  | ) |

Definition at line 51 of file LoadTestcase.cc.

## Member Function Documentation

## ◆ nodes() [1/2]

const std::vector< TestcaseTrial::Node > & zypp::misc::testcase::TestcaseTrial::nodes | ( |  | ) | const

Definition at line 54 of file LoadTestcase.cc.

## ◆ nodes() [2/2]

std::vector< TestcaseTrial::Node > & zypp::misc::testcase::TestcaseTrial::nodes | ( |  | ) |

Definition at line 57 of file LoadTestcase.cc.

## Member Data Documentation

## ◆ _pimpl

RWCOW_pointer<Impl> zypp::misc::testcase::TestcaseTrial::_pimpl
| private

Definition at line 56 of file LoadTestcase.h.

The documentation for this struct was generated from the following files:

- zypp/misc/LoadTestcase.h
- zypp/misc/LoadTestcase.cc